package com.kdanmobile.reader.thumb.mode

import android.app.Activity
import com.kdanmobile.reader.thumb.PdfThumbAdapter

abstract class Mode {
    abstract fun onPageItemClick(activity: Activity, pageIndex: Int, operate: Int, selectMap: MutableMap<Int,Boolean>, pdfThumbAdapter: PdfThumbAdapter)
    abstract fun onClickToolBarNavigation()
    abstract fun updateToolbar()

}